package ru.cdmlex.jtest;

import java.awt.*;

public abstract class Scene {
	protected final JGame game;

	public Scene(JGame game) {
		this.game = game;
	}

	public abstract void update(long nanosPassed);
	public abstract void draw(Graphics2D g);
}

